Patch #33208

`--without rmagick` option for bundle command is no longer necessary

Added by Go MAEDA 4 months ago. Updated 4 months ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:Go MAEDA% Done:

0%

Category:Documentation
Target version:4.2.0

Description

The description in doc/INSTALL for cases where ImageMagick is not installed can be removed.

In Redmine 4.1, RMagick is replaced by MiniMagick, so you no longer get error with `bundle install` even if ImageMagick is not installed. The reason why no error occurs is that MiniMaigck does not require ImageMagick's development library during installation.

diff --git a/doc/INSTALL b/doc/INSTALL
index d363c8a2a..f4374dae1 100644
--- a/doc/INSTALL
+++ b/doc/INSTALL
@@ -33,10 +33,6 @@ Optional:
 4. Install the required gems by running:
      bundle install --without development test

-   If ImageMagick is not installed on your system, you should skip the
-   installation of the rmagick gem using:
-     bundle install --without development test rmagick
-
    Only the gems that are needed by the adapters you've specified in your
    database configuration file are actually installed (eg. if your
    config/database.yml uses the 'mysql2' adapter, then only the mysql2 gem

Associated revisions

Revision 19625
Added by Go MAEDA 4 months ago

`--without rmagick` option for `bundle install` is no longer necessary (#33208).

Patch by Go MAEDA.

History

#1 Updated by Go MAEDA 4 months ago

  • Status changed from New to Closed
  • Assignee set to Go MAEDA
  • Target version set to 4.2.0

Committed the patch.

Also available in: Atom PDF